Subject: bug#7110: 24.0.50; appt-check FIXME does -- please install

From: Glenn Morris <[email-masked]>
Date: Mon, 27 Sep 2010 13:51:58 -0400

Stephen Berman wrote:

>>> The only remaining issue is the main diary file buffer pops up when
>>> saving in included files.
>>
>> I know; see the FIXME comment in appt-check.
>
> [which is:
>     ;; FIXME why not using diary-list-entries with
>     ;; non-nil LIST-ONLY?
> ]

Actually I fixed that issue, which is why that bug was closed.

The comment you quote does not relate to any bugs as far as I am
aware, it is just cosmetic.

> I patched my appt-check as per the FIXME and AFAICT it DTRT, at least
> when using the default fancy display: the diary is not displayed on
> saving an included file, yet `C-u M-x appt-check' does show new
> appointments from the included file.

But this is already fixed (in r100043), which is why I closed that bug.

> With simple display, the new appointments are not displayed, but
> neither are they displayed with (diary) as in the current code.

Include files do not work with simply diary display.